### Hierarchy

- default
  - default

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- changePassword
- changePasswordReset
- cleanForm_
- connectedCallback
- disconnectedCallback
- initConfig
- login
- logout
- manualLoginLogout_
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- resetError_
- resetPassword
- setError_
- webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

  #### Returns default

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/auth/FormElement.ts:111

## Methods

### changePassword

- changePassword(evt: Event): void

- - Defined in src/auth/FormElement.ts:381

  Calls the authentication service changePassword method.

  #### Parameters

  - ##### evt: Event

    the event

  #### Returns void

### changePasswordReset

- changePasswordReset(): void

- - Defined in src/auth/FormElement.ts:577

  Reset the changePassword values and error.

  #### Returns void

### cleanForm_

- cleanForm_(): void

- - Defined in src/auth/FormElement.ts:626

  Clear the form

  #### Returns void

### connectedCallback

- connectedCallback(): void

- Overrides default.connectedCallback

  - Defined in src/auth/FormElement.ts:63

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

  #### Returns void

### initConfig

- initConfig(configuration: Configuration): void

- Overrides GmfBaseElement.initConfig

  - Defined in src/auth/FormElement.ts:102

  #### Parameters

  - ##### configuration: Configuration

  #### Returns void

### login

- login(evt: Event): void

- - Defined in src/auth/FormElement.ts:465

  Calls the authentication service login method.

  #### Parameters

  - ##### evt: Event

    Event from the form submit action.

  #### Returns void

### logout

- logout(evt: Event): void

- - Defined in src/auth/FormElement.ts:511

  Calls the authentication service logout method.

  #### Parameters

  - ##### evt: Event

    Event from the form submit action.

  #### Returns void

### manualLoginLogout_

- manualLoginLogout_(): void

- - Defined in src/auth/FormElement.ts:534

  Effects on manual try to login/logout.

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### resetError_

- resetError_(): void

- - Defined in src/auth/FormElement.ts:640

  Reset the error notification

  #### Returns void

### resetPassword

- resetPassword(evt: Event): void

- - Defined in src/auth/FormElement.ts:544

  Calls the authentication service resetPassword method.

  #### Parameters

  - ##### evt: Event

    Event from the form submit action.

  #### Returns void

### setError_

- setError_(errors: string[], messageType?: MessageType): void

- - Defined in src/auth/FormElement.ts:601

  Set an error notification

  #### Parameters

  - ##### errors: string[]

    List of errors

  - ##### Optional messageType: MessageType

    Type of message

  #### Returns void

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc